<?php namespace EscapeWork\Manager\Downloads\Models;

use EscapeWork\LaravelHelpers\Eloquent;

class Download extends Eloquent
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'downloads';

    /**
     * Fillable fields
     */
    protected $fillable = array(
        'category_id',
        'title',
        'description',
        'created_at',
        'updated_at'
    );

    /**
     * Validation rules
     */
    public static $validationRules = array(
        'category_id' => array('required'),
        'title'       => array('required'),
        'file'        => array('required' => 'required'),
    );

    /**
     * Mensagens de validação
     */
    public static $validationMessages = array(
        'category_id.required' => 'A categoria é obrigatória',
        'title.required'       => 'O título é obrigatório',
        'file.required'        => 'O arquivo é obrigatório',
    );
}
