<?php namespace EscapeWork\Manager\Downloads\Models;

use EscapeWork\LaravelHelpers\Eloquent;

class DownloadCategory extends Eloquent
{

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'download_categories';

    /**
     * Sluggable
     */
    protected $sluggable = true;

    /**
     * Fillable fields
     */
    protected $fillable = array(
        'title',
        'created_at',
        'updated_at'
    );

    /**
     * Validation rules
     */
    public static $validationRules = array(
        'title' => array('required')
    );

    /**
     * Mensagens de validação
     */
    public static $validationMessages = array(
        'title.required' => 'O título é obrigatório'
    );

    public function downloads()
    {
        return $this->hasMany('EscapeWork\Manager\Downloads\Models\Download', 'category_id');
    }
}
