<?php namespace EscapeWork\Manager\Downloads\Seeds;

use EscapeWork\Manager\Models\Page;
use EscapeWork\Manager\Models\PageAction;
use EscapeWork\Manager\Medias\Models\MediaModel;
use EscapeWork\Manager\Medias\Models\MediaModelSize;
use Seeder;
use Carbon\Carbon;

class MediaSeeder extends Seeder
{
    public function run()
    {
        $model = 'EscapeWork\Manager\Downloads\Models\Download';

        if (! $mediaModel = MediaModel::where('model', '=', $model)->first()) {
            $mediaModel = MediaModel::create(array(
                'model'       => $model,
                'model_title' => 'title',
                'model_route' => 'manager.downloads.index',
                'page_title'  => 'Downloads',
                'created_at'  => new Carbon,
                'updated_at'  => new Carbon,
            ));
        }

        $sizes = array(
            'thumb-' => array(
                'width'  => 300,
                'height' => 300,
                'resize' => 1,
            ),
        );

        foreach($sizes as $prefix => $size) {
            MediaModelSize::create(array(
                'media_model_id' => $mediaModel->id,
                'prefix'         => $prefix,
                'width'          => $size['width'],
                'height'         => $size['height'],
                'resize'         => $size['resize'],
            ));
        }
    }
}
