@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.downloads.index') }}">Downloads</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.downloads.categories.index') }}">Categorias</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Downloads / Categorias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.downloads.categories.index') }}" class="btn">Voltar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    <form action="{{ !$edit ? route('manager.downloads.categories.store') : route('manager.downloads.categories.update', $downloadCategory->id) }}" method="post" id="form-download-categories" class="form-horizontal">
        @if ($edit)
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            @section('fields')
                <div class="control-group">
                    <label for="category" class="control-label">Categoria</label>

                    <div class="controls">
                        <input type="text" name="title" id="title" class="input-xxlarge" value="{{ $downloadCategory->title }}" required autofocus />
                    </div><!-- .controls -->
                </div><!-- .control-group -->
            @show
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary" value="Salvar">
            <a href="{{ route('manager.downloads.categories.index') }}" class="btn">Cancelar</a>
        </div><!-- .form-actions -->
    </form>

@stop
