@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.downloads.categories.index') }}">Downloads</a> <span class="divider">/</span></li>
        <li class="active">Categorias</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Downloads / Categorias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            @if (Check::can('download_categories', 'create'))
                <a href="{{ route('manager.downloads.categories.create') }}" class="btn btn-primary">Inserir nova categoria</a>
            @endif
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    {{ Msg::getAll() }}

    @if (Check::can('download_categories', 'read'))
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Titulo</th>
                    <th>Ação</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($downloadCategories as $downloadCategory)
                    <tr>
                        <td>{{ $downloadCategory->id }}</td>
                        <td>{{ $downloadCategory->title }}</td>
                        <td>
                            <div class="btn-group">
                                @if (Check::can('download_categories', 'update'))
                                    <a href="{{ route('manager.downloads.categories.edit', $downloadCategory->id) }}" class="btn btn-small" title="Editar">
                                        <i class="icon-pencil"></i> editar
                                    </a>
                                @endif

                                @if (Check::can('download_categories', 'destroy'))
                                    <a href="{{ route('manager.downloads.categories.destroy', $downloadCategory->id) }}" class="btn btn-small" data-delete="true" title="Excluir">
                                        <i class="icon-trash"></i> excluir
                                    </a>
                                @endif
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        {{ $downloadCategories->links() }}
    @endif
@stop
