@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.downloads.index') }}">Downloads</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Downloads</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.downloads.index') }}" class="btn">Voltar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    <form action="{{ ! $edit ? route('manager.downloads.store') : route('manager.downloads.update', $download->id) }}" method="post" id="form-download" class="form-horizontal" enctype="multipart/form-data">
        @if ($edit)
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            <div class="control-group">
                <label for="category_id" class="control-label">Categorias</label>

                <div class="controls">
                    <select name="category_id" id="category_id" autofocus required>
                        <option value="">Selecione</option>
                        @foreach($downloadCategories as $downloadCategory)
                            <option {{ ( $downloadCategory->id == $download->category_id ? 'selected' : '') }} value="{{ $downloadCategory->id }}">{{ $downloadCategory->title }}</option>
                        @endforeach
                    </select>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="title" class="control-label">Título</label>

                <div class="controls">
                    <input type="text" name="title" id="title" class="input-xxlarge" value="{{ $download->title }}" required />
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label for="description" class="control-label">Descrição</label>

                <div class="controls">
                    <textarea  name="description" id="description" data-editor>{{ $download->description }}</textarea>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            <div class="control-group">
                <label class="control-label">Arquivo</label>

                <div class="controls">
                    <input type="file" name="file" class="input-xxlarge" multiple/>
                </div><!-- .controls -->
            </div><!-- .control-group -->

            @if ($edit)
                <div class="control-group">
                    <label class="control-label">Arquivo deste download</label>

                    <div class="controls">
                            <p>
                                <a href="{{ asset('files/downloads/' . $download->file) }}" class="btn" download="{{ $download->file }}" target="_blank">
                                    <i class="icon-download"></i> {{ $download->file }}
                                </a>
                            </p>
                    </div><!-- .controls -->
                </div><!-- .control-group -->
            @endif


            <div class="control-group">
                <label for="thumb" class="control-label">Thumb</label>

                <div class="controls">
                    <input type="file" name="thumb" id="thumb" class="input-xlarge" accept="image/jpeg,image/png" />

                    <span class="help-block">Apenas imagens <strong>jpg</strong> ou <strong>png</strong> são aceitas.</span>
                    @if (! is_null($download->thumb))
                        <span class="help-block">Apenas selecione se deseja alterar a thumb.</span>
                    @endif
                </div><!-- .controls -->
            </div><!-- .control-group -->

            @if (! is_null($download->thumb))
                <div class="control-group">
                    <label for="thumb" class="control-label">Thumb atual</label>

                    <div class="controls">
                        <img src="{{ asset('files/downloads/thumb-' . $download->thumb) }}" alt="" />
                    </div><!-- .controls -->
                </div><!-- .control-group -->
            @endif
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary js-btn-submit" value="Salvar" data-loading-text="Carregando..." />
            <a href="{{ route('manager.downloads.index') }}" class="btn">Cancelar</a>
        </div><!-- .form-actions -->
    </form>
@stop
